<!DOCTYPE html>
<html>
<head>
  
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />

<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/jquery.tablesorter.min.js"></script>
<script type="text/javascript" src="js/Chart.min.js"></script>
<script type="text/javascript" src="js/bootstrap.min.js"></script>

<link rel="stylesheet" href="css/bootstrap.min.css" type="text/css"/>
<link rel="stylesheet" href="css/reporting.css" type="text/css"/>
<link rel="stylesheet" href="css/font-awesome.min.css"/>
<link rel="shortcut icon" href="images/favicon.png"/>

<script type="text/javascript">
$(document).ready(function() {
    // this will tell tablesorter to try looking for the data-value attribute
    // if present, it'll sort by that instead
    // otherwise, it'll sort by the text content of the table cell
    $("#tablesorter").tablesorter({
        textAttribute: 'data-value',
        // ignores the first row of the header, the 'scenario', 'steps', since
        // sorting those doesn't make sense
        selectorHeaders: '> thead tr:not(.dont-sort) th',
        // use a stable sort
        sortStable: true
    });
});
</script>












  
<title>Cucumber-JVM Reports  - Features Overview</title>


  <script type="text/javascript">
  $(document).ready(function() {

    var chartData = {
        datasets: [{
            data: [
                10,
                0,
                0,
                0,
                0
            ],
            backgroundColor: [
                "#00B000",
                "#FF3030",
                "#88AAFF",
                "#F5F28F",
                "#F5B975"
            ]
        }],
        labels: [
            "Passed",
            "Failed",
            "Skipped",
            "Pending",
            "Undefined"
        ]
    };

    var ctx = document.getElementById("steps-chart");
    window.myBar = new Chart(ctx, {
        type: 'doughnut',
        data: chartData,
        options: {
            title: {
                display: true,
                fontSize: 20,
                text: 'Steps'
            },
            responsive: true,
            legend: {
                display: false
            },
            tooltips: {
                callbacks: {
                    label: function(tooltipItem, data) {
                        var allData = data.datasets[tooltipItem.datasetIndex].data;
                        var tooltipLabel = data.labels[tooltipItem.index];
                        var tooltipData = allData[tooltipItem.index];
                        var tooltipPercentage = Math.round(10000 * tooltipData / 10) / 100;
                        return tooltipLabel + ': ' + tooltipData + ' (' + tooltipPercentage + '%)';
                    }
                }
            }
        }
    });

});  $(document).ready(function() {

    var chartData = {
        datasets: [{
            data: [
                2,
                0
            ],
            backgroundColor: [
                "#00B000",
                "#FF3030"
            ]
        }],
        labels: [
            "Passed",
            "Failed"
        ]
    };

    var ctx = document.getElementById("scenarios-chart");
    window.myBar = new Chart(ctx, {
        type: 'doughnut',
        data: chartData,
        options: {
            title: {
                display: true,
                fontSize: 20,
                text: 'Scenarios'
            },
            circumference: Math.PI,
            rotation: Math.PI,
            cutoutPercentage: 70,
            responsive: true,
            legend: {
                display: false
            },
            tooltips: {
                callbacks: {
                    label: function(tooltipItem, data) {
                        var allData = data.datasets[tooltipItem.datasetIndex].data;
                        var tooltipLabel = data.labels[tooltipItem.index];
                        var tooltipData = allData[tooltipItem.index];
                        var tooltipPercentage = Math.round(10000 * tooltipData / 2) / 100;
                        return tooltipLabel + ': ' + tooltipData + ' (' + tooltipPercentage + '%)';
                    }
                }
            }
        }
    });

});  $(document).ready(function() {

    var chartData = {
        datasets: [{
            data: [
                   2,
                   0
               ],
               backgroundColor: [
                "#00B000",
                "#FF3030"
            ]
        }],
        labels: [
            "Passed",
            "Failed"
        ]
    };

    var ctx = document.getElementById("features-chart");
    window.myBar = new Chart(ctx, {
        type: 'pie',
        data: chartData,
        options: {
            title: {
                display: true,
                fontSize: 20,
                text: 'Features'
            },
            responsive: true,
            legend: {
                display: false
            },
            tooltips: {
                callbacks: {
                    label: function(tooltipItem, data) {
                        var allData = data.datasets[tooltipItem.datasetIndex].data;
                        var tooltipLabel = data.labels[tooltipItem.index];
                        var tooltipData = allData[tooltipItem.index];
                        var tooltipPercentage = Math.round(10000 * tooltipData / 2) / 100;
                        return tooltipLabel + ': ' + tooltipData + ' (' + tooltipPercentage + '%)';
                    }
                }
            }
        }
    });

});  </script>
</head>

<body>

<nav class="navbar navbar-default navbar-fixed-top" id="navigation">
  <div class="container-fluid">
    <div class="collapse navbar-collapse">
      <p class="navbar-text navbar-left">Cucumber-JVM Report</p>
      <ul class="nav navbar-nav navbar-right">
                <li role="presentation"  class="active" ><a href="feature-overview.html">Features</a></li>
        <li role="presentation" ><a href="tag-overview.html">Tags</a></li>
        <li role="presentation" ><a href="step-overview.html">Steps</a></li>
        <li role="presentation" ><a href="failures-overview.html">Failures</a></li>
      </ul>
    </div>
  </div>
</nav>

<div class="container-fluid" id="build-info">
  <div class="row">
    <div class="col-md-6 col-md-offset-1">
      <table class="table table-bordered">
        <thead>
          <tr>
            <th>Project</th>
                          <th>Number</th>
                        <th>Date</th>
          </tr>
        </thead>
        <tbody>
          <tr class="info">
            <td>RestAssured-BDD-Java</td>
                          <td>1</td>
                        <td>10 Aug 2021, 15:30</td>
          </tr>
        </tbody>
      </table>
    </div>
  </div>
</div>

<div id="report-lead" class="container-fluid>
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
      <h2>Features Statistics</h2>
              <p>The following graphs show passing and failing statistics for features</p>
          </div>
  </div>
</div>


  <div class="container-fluid" id="charts">
    <div class="row">
      <div class="col-md-6 col-md-offset-3">
        <div id="featureChartCarousel" class="carousel slide" data-ride="carousel">
          <!-- Indicators -->
          <ol class="carousel-indicators">
            <li data-target="#featureChartCarousel" data-slide-to="0" class="active"></li>
            <li data-target="#featureChartCarousel" data-slide-to="1"></li>
            <li data-target="#featureChartCarousel" data-slide-to="2"></li>
          </ol>

          <!-- Wrapper for slides -->
          <div class="carousel-inner" role="listbox">
            <div class="item active">
              <canvas id="features-chart" height="120"></canvas>
            </div>

            <div class="item">
              <canvas id="scenarios-chart" height="120"></canvas>
            </div>

            <div class="item">
              <canvas id="steps-chart" height="120"></canvas>
            </div>
          </div>

          <!-- Left and right controls -->
          <a class="left carousel-control" href="#featureChartCarousel" role="button" data-slide="prev"></span>
            <i class="fa fa-chevron-left" aria-hidden="true"></i>
            <span class="sr-only">Previous</span>
          </a>
          <a class="right carousel-control" href="#featureChartCarousel" role="button" data-slide="next">
            <i class="fa fa-chevron-right" aria-hidden="true"></i>
            <span class="sr-only">Next</span>
          </a>
        </div>
      </div>
    </div>
  </div>
  <br>


<div class="container-fluid" id="summary">
  <div class="row">
    <div class="col-md-10 col-md-offset-1">
              
<table id="tablesorter" class="stats-table table-hover">
  <thead>
  <tr class="header dont-sort">
        <th></th>
    <th colspan="3">Scenarios</th>
    <th colspan="6">Steps</th>
    <th colspan="2">Totals</th>
  </tr>
  <tr>
    <th>Feature</th>
        <th class="passed">Passed</th>
    <th class="failed">Failed</th>
    <th class="total">Total</th>
    <th class="passed">Passed</th>
    <th class="failed">Failed</th>
    <th class="skipped">Skipped</th>
    <th class="pending">Pending</th>
    <th class="undefined">Undefined</th>
    <th class="total">Total</th>
    <th>Duration</th>
    <th>Status</th>
  </tr>
</thead>

  <tbody>
          <tr>
        <td class="tagname"><a href="file-src-test-resources-features-ValidateAddress-feature.html">Validate the Address Details</a></td>
        
        <td  class="passed"    >1</td>
        <td >0</td>
        <td class="total">1</td>
        <td      class="passed"    >3</td>
        <td >0</td>
        <td >0</td>
        <td >0</td>
        <td >0</td>
        <td class="total">3</td>
        <td class="duration" data-value="66000000">066ms</td>
        <td class="passed">Passed</td>
      </tr>
          <tr>
        <td class="tagname"><a href="file-src-test-resources-features-Book-feature.html">Validate the Books Post Request</a></td>
        
        <td  class="passed"    >1</td>
        <td >0</td>
        <td class="total">1</td>
        <td      class="passed"    >7</td>
        <td >0</td>
        <td >0</td>
        <td >0</td>
        <td >0</td>
        <td class="total">7</td>
        <td class="duration" data-value="2951000000">2s 951ms</td>
        <td class="passed">Passed</td>
      </tr>
      </tbody>

  <tfoot class="total">
    <tr>
      <td>2</td>
            <td>2</td>
      <td>0</td>
      <td>2</td>
      <td>10</td>
      <td>0</td>
      <td>0</td>
      <td>0</td>
      <td>0</td>
      <td>10</td>
      <td class="duration">3s 017ms</td>
      <td></td>
    </tr>
    <tr>
      <td></td>
            <td>100.00%</td>
      <td>0.00%</td>
      <td></td>
      <td>100.00%</td>
      <td>0.00%</td>
      <td>0.00%</td>
      <td>0.00%</td>
      <td>0.00%</td>
      <td></td>
      <td></td>
      <td>0.00%</td>
    </tr>
  </tfoot>
</table>

          </div>
  </div>
</div>

<nav class="navbar navbar-default" id="footer">
  <div class="container-fluid">
    <p class="navbar-text navbar-right">
        <small>generate Cucumber HTML reports via:&nbsp;</small>
        <a class="navbar-link" href="https://github.com/jenkinsci/cucumber-reports-plugin">Jenkins Plugin</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-reporting">Standalone</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/cucumber-sandwich">Sandwich</a> |
        <a class="navbar-link" href="https://github.com/damianszczepanik/maven-cucumber-reporting">Maven</a>
        &nbsp;&nbsp;
    </p>
  </div>
</nav>

</body>
</html>
